/transcript
curl --request GET \
--url https://api.daily.co/v1/transcript \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.daily.co/v1/transcript"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.daily.co/v1/transcript', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 3,
"data": [
{
"transcriptId": "0cb313e1-211f-4be0-833d-8c7305b19902",
"domainId": "0cb313e1-211f-4be0-833d-8c7305b19902",
"roomId": "1a5afbf4-211f-4be0-833d-8c7305b19902",
"mtgSessionId": "257764e6-c74e-4c30-944a-a887a03173a3",
"status": "t_finished",
"duration": 277,
"created_at": "2024-01-15T10:30:00.000Z",
"updated_at": "2024-01-15T10:35:00.000Z"
},
{
"transcriptId": "257764e6-211f-4be0-833d-8c7305b19903",
"domainId": "0cb313e1-211f-4be0-833d-8c7305b19902",
"roomId": "1a5afbf4-211f-4be0-833d-8c7305b19902",
"mtgSessionId": "211f64e6-c74e-4c30-944a-a887a03173a3",
"status": "t_in_progress",
"duration": 21,
"created_at": "2024-01-15T10:28:00.000Z",
"updated_at": "2024-01-15T10:28:00.000Z"
}
]
}{
"error": "invalid-request-error",
"info": "missing required field"
}Transcripts
List Transcript
List transcripts
GET
/
transcript
/transcript
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
⌘I